Subject: bug#12708: 24.1; M-x display-time-world "q" close window

From: Chong Yidong <[email-masked]>
Date: Wed, 24 Oct 2012 22:53:11 +0800

martin rudalics <[email-masked]> writes:

> But `display-time-world' should probably also use `display-buffer'
> instead of `pop-to-buffer' and put the buffer in `view-mode'.  After
> all, who wants to edit or navigate the *wclock* buffer?

Yes, display-time-world is clearly behind the times, and the use of
pop-to-buffer is a mistake.  I changed display-time-world-mode to derive
from special mode, and display-time-world to use display-buffer.